<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="endereco">
      <h2 data-cy="enderecoDetailsHeading"><span jhiTranslate="madmApp.endereco.detail.title">Endereco</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ endereco.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.cep">Cep</span></dt>
        <dd>
          <span>{{ endereco.cep }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.logradouro">Logradouro</span></dt>
        <dd>
          <span>{{ endereco.logradouro }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.complemento">Complemento</span></dt>
        <dd>
          <span>{{ endereco.complemento }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.bairro">Bairro</span></dt>
        <dd>
          <span>{{ endereco.bairro }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.localidade">Localidade</span></dt>
        <dd>
          <span>{{ endereco.localidade }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.endereco.uf">Uf</span></dt>
        <dd>
          <span>{{ endereco.uf }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/endereco', endereco.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
